Page MenuHomePhabricator

Clarify the salt version to use on beta cluster
Closed, ResolvedPublic

Description

The Beta-Cluster-Infrastructure is/has been used for the salt version bump. But the version from apt.wikimedia.org is pinned with a higher priority:

deployment-cache-text04:~# apt-cache policy salt-common
salt-common:
  Installed: 2015.5.2+ds-1~bpo8+1
  Candidate: 2014.7.5+ds-1
  Version table:
     2015.5.3+ds-1~bpo8+1 0
        500 http://debian.saltstack.com/debian/ jessie-saltstack/main amd64 Packages
 *** 2015.5.2+ds-1~bpo8+1 0
        100 /var/lib/dpkg/status
     2014.7.5+ds-1 0
       1001 http://apt.wikimedia.org/wikimedia/ jessie-wikimedia/main amd64 Packages
     2014.1.13+ds-3 0
        500 http://mirrors.wikimedia.org/debian/ jessie/main amd64 Packages

Additionally, the repos is a third party which is really not ideal.

Can we get rid of http://debian.saltstack.com/debian/ jessie-saltstack/main and inject the package under apt.wikimedia.org instead ?

Event Timeline

hashar created this task.Oct 6 2015, 1:21 PM
hashar assigned this task to ArielGlenn.
hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added a subscriber: hashar.
Restricted Application added subscribers: Luke081515, Matanya, Aklapper. · View Herald TranscriptOct 6 2015, 1:21 PM

The jessie package that should run in labs and on production is the one that the wikimedia cluster provides. Is it possible that there is some dependency (zmq of the right version) that we get from the saltstack repo right now for jessie? If that's the case I can shove it into the wikimedia repo as we do for everything else. There's no reason we should pull from saltstack's repo directly for anything.

hashar added a comment.Oct 7 2015, 1:37 PM

I have no idea why http://debian.saltstack.com/debian/ has been added. Seem it was a manual change related to testing the 2015.5 version of salt. What is our target version and we will get it on all of Precise/Trusty/Jessie ?

we run 2014.7.5 and we run it on precise through jessie both in production and in labs. 2015.5 runs nowhere and I have not ever tested it.

hashar closed this task as Resolved.Oct 7 2015, 1:54 PM

root@deployment-salt:~# salt '*' cmd.run 'grep -R salt /etc/apt/sources.list.d/'

deployment-cache-text04.deployment-prep.eqiad.wmflabs:
deployment-cache-mobile04.deployment-prep.eqiad.wmflabs:
    /etc/apt/sources.list.d/saltstack.list:deb http://debian.saltstack.com/debian jessie-saltstack main
deployment-cache-upload04.deployment-prep.eqiad.wmflabs:
    /etc/apt/sources.list.d/saltstack.list:deb http://debian.saltstack.com/debian jessie-saltstack main
deployment-logstash2.deployment-prep.eqiad.wmflabs:
deployment-parsoidcache02.deployment-prep.eqiad.wmflabs:
deployment-puppetmaster.deployment-prep.eqiad.wmflabs:
deployment-tmh01.deployment-prep.eqiad.wmflabs:
deployment-sca02.deployment-prep.eqiad.wmflabs:
deployment-poolcounter01.deployment-prep.eqiad.wmflabs:
deployment-elastic05.deployment-prep.eqiad.wmflabs:
deployment-memc04.deployment-prep.eqiad.wmflabs:
    /etc/apt/sources.list.d/saltstack-salt-precise.list.save:deb-src http://ppa.launchpad.net/saltstack/salt/ubuntu precise main
deployment-jobrunner01.deployment-prep.eqiad.wmflabs:
deployment-fluorine.deployment-prep.eqiad.wmflabs:
deployment-mediawiki01.deployment-prep.eqiad.wmflabs:
deployment-pdf01.deployment-prep.eqiad.wmflabs:
deployment-stream.deployment-prep.eqiad.wmflabs:
deployment-mx.deployment-prep.eqiad.wmflabs:
deployment-urldownloader.deployment-prep.eqiad.wmflabs:
deployment-redis02.deployment-prep.eqiad.wmflabs:
deployment-mediawiki02.deployment-prep.eqiad.wmflabs:
deployment-eventlogging03.deployment-prep.eqiad.wmflabs:
deployment-elastic06.deployment-prep.eqiad.wmflabs:
deployment-kafka02.deployment-prep.eqiad.wmflabs:
    /etc/apt/sources.list.d/saltstack-salt-precise.list.save:deb-src http://ppa.launchpad.net/saltstack/salt/ubuntu precise main
deployment-apertium01.deployment-prep.eqiad.wmflabs:
deployment-salt.deployment-prep.eqiad.wmflabs:
    /etc/apt/sources.list.d/saltstack-salt-precise.list.save:deb-src http://ppa.launchpad.net/saltstack/salt/ubuntu precise main
deployment-sentry2.deployment-prep.eqiad.wmflabs:
deployment-cxserver03.deployment-prep.eqiad.wmflabs:
deployment-bastion.deployment-prep.eqiad.wmflabs:
    /etc/apt/sources.list.d/saltstack-salt-precise.list.save:deb-src http://ppa.launchpad.net/saltstack/salt/ubuntu precise main
deployment-zotero01.deployment-prep.eqiad.wmflabs:
deployment-upload.deployment-prep.eqiad.wmflabs:
    /etc/apt/sources.list.d/saltstack-salt-precise.list.save:deb-src http://ppa.launchpad.net/saltstack/salt/ubuntu precise main
deployment-restbase02.deployment-prep.eqiad.wmflabs:
mira.deployment-prep.eqiad.wmflabs:
deployment-db2.deployment-prep.eqiad.wmflabs:
    /etc/apt/sources.list.d/saltstack-salt-precise.list.save:deb-src http://ppa.launchpad.net/saltstack/salt/ubuntu precise main
deployment-memc02.deployment-prep.eqiad.wmflabs:
    /etc/apt/sources.list.d/saltstack-salt-precise.list.save:deb-src http://ppa.launchpad.net/saltstack/salt/ubuntu precise main
deployment-elastic08.deployment-prep.eqiad.wmflabs:
deployment-redis01.deployment-prep.eqiad.wmflabs:
deployment-zookeeper01.deployment-prep.eqiad.wmflabs:
deployment-memc03.deployment-prep.eqiad.wmflabs:
    /etc/apt/sources.list.d/saltstack-salt-precise.list.save:deb-src http://ppa.launchpad.net/saltstack/salt/ubuntu precise main
deployment-elastic07.deployment-prep.eqiad.wmflabs:
deployment-parsoid05.deployment-prep.eqiad.wmflabs:
deployment-db1.deployment-prep.eqiad.wmflabs:
    /etc/apt/sources.list.d/saltstack-salt-precise.list.save:deb-src http://ppa.launchpad.net/saltstack/salt/ubuntu precise main
deployment-pdf02.deployment-prep.eqiad.wmflabs:
deployment-sca01.deployment-prep.eqiad.wmflabs:
deployment-mathoid.deployment-prep.eqiad.wmflabs:
deployment-mediawiki03.deployment-prep.eqiad.wmflabs:

I removed them all with: salt '*' cmd.run 'rm /etc/apt/sources.list.d/saltstack*'

Checking versions with salt '*' pkg.version salt-common, all instances have 2014.7.5 but:

  • deployment-cache-text04
  • deployment-cache-mobile04
  • deployment-cache-upload04

Downgraded salt-common and salt-minion on them (as we as upgrading all packages).

hashar added a comment.Oct 7 2015, 1:58 PM
# salt 'deployment-cache-*' pkg.version salt-common
deployment-cache-mobile04.deployment-prep.eqiad.wmflabs:
    2014.7.5+ds-1
deployment-cache-upload04.deployment-prep.eqiad.wmflabs:
    2014.7.5+ds-1
deployment-cache-text04.deployment-prep.eqiad.wmflabs:
    2014.7.5+ds-1

I also fixed up deployment-cache-parsoid04 which was half configured for some reason.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 8 2015, 12:13 PM